<?php
/**
 * @version $Id: header.php 756 2008-12-08 14:24:02Z elkuku $
 * @package    joomloc
 * @subpackage 
 * @author     EasyJoomla {@link http://www.easy-joomla.org Easy-Joomla.org}
 * @author     Nikolai Plath {@link http://www.easy-joomla.org}
 * @author     Created on 16-Mar-09
 */

// no direct access
defined( '_JEXEC' ) or die( '=;)' );

jimport('joomla.application.component.controller');

class joomlocControllertypes extends JController
{
   


 function __construct()
   {
      parent::__construct();

      // Register Extra tasks
      $this->registerTask( 'add' , 'edit' );
   }// function

   function edit()
   {
  
 
      JRequest::setVar( 'view', 'types' );
      JRequest::setVar( 'layout', 'formtype' );
      JRequest::setVar('hidemainmenu', 1);

  
      parent::display();
   }// function
   
   function cancel()
   {

      $msg = JText::_( 'Operation annulee' );
      $this->setRedirect( 'index.php?option=com_joomloc&controller=types&view=types&layout=default', $msg );
   }// function
   
   function save()
{

    $model = $this->getModel('types');
 
    if ($model->storetypes()) {
        $msg = JText::_( ' Type enregistre!' );
    } else {
        $msg = JText::_( 'Erreur lors de l enregistrement' );
    }


    // Check the table in so it can be edited.... we are done with it anyway
    $link = 'index.php?option=com_joomloc&controller=types&view=types&layout=default';
    $this->setRedirect($link, $msg);
}

function remove()
{

 
    $model = $this->getModel('types');
    if(!$model->deletetypes()) {
        $msg = JText::_( 'Un probleme a ete rencontre, suppression impossible' );
    } else {
        $msg = JText::_( 'Enregistrement supprime' );
    }
 
    $this->setRedirect( 'index.php?option=com_joomloc&controller=types&view=types&layout=default', $msg );
}


   
   function publish()
   {
      // Check for request forgeries
      //JRequest::checkToken() or jexit( 'Invalid Token' );
      $cid = JRequest::getVar( 'cid', array(), 'post', 'array' );
      JArrayHelper::toInteger($cid);

      if (count( $cid ) < 1) {
         JError::raiseError(500, JText::_( 'Select an item to publish' ) );
      }

      $model = $this->getModel('types');
      if(!$model->publish($cid, 1)) {
         echo "<script> alert('".$model->getError(true)."'); window.history.go(-1); </script>\n";
      }

      $this->setRedirect( 'index.php?option=com_joomloc&controller=types&view=types&layout=default');

   }


   function unpublish()
   {
      // Check for request forgeries
      //JRequest::checkToken() or jexit( 'Invalid Token' );
      $cid = JRequest::getVar( 'cid', array(), 'post', 'array' );
      JArrayHelper::toInteger($cid);

      if (count( $cid ) < 1) {
         JError::raiseError(500, JText::_( 'Select an item to unpublish' ) );
      }

      $model = $this->getModel('types');
      if(!$model->publish($cid, 0)) {
         echo "<script> alert('".$model->getError(true)."'); window.history.go(-1); </script>\n";
      }

      $this->setRedirect( 'index.php?option=com_joomloc&controller=types&view=types&layout=default');

   }

   
}//class