<?php
/**
 * @version $Id: header.php 756 2008-12-08 14:24:02Z elkuku $
 * @package    joomloc
 * @subpackage 
 * @author     EasyJoomla {@link http://www.easy-joomla.org Easy-Joomla.org}
 * @author     Nikolai Plath {@link http://www.easy-joomla.org}
 * @author     Created on 26-Feb-2009
 */

// no direct access
defined( '_JEXEC' ) or die( '=;)' );

jimport('joomla.application.component.controller');

/**
 * joomloc Controller
 *
 * @package    joomloc
 * @subpackage Controllers
 */
class joomlocController extends JController
{
    /**
     * Method to display the view
     *
     * @access    public
     */
    function display()
    {
        parent::display();
    }
  //--------------ajax functions----------------------
  function getconfig()
{

$db =& JFactory::getDBO();
$query = "SELECT * FROM #__lbresa_config";
$db->setQuery( $query );
$config = $db->loadObject();
return $config;
}

function listepays()
  { 
 
     global $mainframe;
    
	 $continent_id = JRequest::getVar('continent_id');
	
     $model = $this->getModel('sites');
     $ps = $model->getPays($continent_id);
  
  	$return ='<select name="s_pays" id="s_pays" onchange="ajaxGetRegions(this.value)">';
     $return .= "<option value=''>".JText::_( '---Selectionnez un Pays---' )."</option>";
   
        foreach ($ps as $pays) {
                $return .="<option value='".$pays->id."'>".$pays->nom."</option>";
       
      }
      	$return .='</select>';
		
      echo $return;     
	  
      $mainframe->close();
   }
  
 
  function listeregions()
  { 
 
     global $mainframe;
     $pays_id=JRequest::getVar( 'pays_id');
     $model = $this->getModel('sites');
     $regions = $model->getPays($pays_id);
 
    $return ='<select name="s_region" id="s_region" onchange="ajaxGetDeps(this.value)">';
     $return .= "<option value=''>".JText::_( '---Selectionnez une Region---' )."</option>";
     if(is_array($regions)) {
        foreach ($regions as $region) {
                $return .="<option value='".$region->id."'>".$region->nom."</option>";
        }
      }
      $return .= "</select>";
	  
      echo $return;      
      $mainframe->close();
 
  }
  
  
  function listedeps()
  { 
 
     global $mainframe;
     $region_id=JRequest::getVar( 'region_id');
     $model = $this->getModel('sites');
     $deps = $model->getDeps($region_id);
 
     $return = '<select name="s_dep" id="s_dep" onchange="ajaxGetVilles(this.value)">';
     $return .= "<option value=''>".JText::_( '---Selectionnez un departement---' )."</option>";
     if(is_array($deps)) {
        foreach ($deps as $dep) {
                $return .="<option value='".$dep->id."'>".$dep->nom." - ".$dep->cp."</option>";
        }
      }
      $return .= "</select>";
	  
      echo $return;      
	  
      $mainframe->close();
 
  }
  
  function listevilles()
  { 
 
     global $mainframe;
     $dep_id=JRequest::getVar( 'dep_id');
     $model = $this->getModel('sites');
     $villes = $model->getVilles($dep_id);
 
     $return = '<select name="s_ville" id="s_ville" >';
     $return .= "<option value=''>".JText::_( '---Selectionnez une ville---' )."</option>";
     if(is_array($villes)) {
        foreach ($villes as $ville) {
                $return .="<option value='".$ville->id."'>".$ville->nom." - ".$ville->cpv."</option>";
        }
      }
      $return .= "</select>";
      echo $return;      
      $mainframe->close();
 
  }  
  
  function GetBookings()
{
global $mainframe;
$db 	=& JFactory::getDBO();

$config =& $this->getconfig();

$id_site = JRequest::getVar('id_site');
$month = JRequest::getVar('month');
$year = JRequest::getVar('year');
$del = JRequest::getVar('del');

$d_a = $year."-".$month."-01";
$d_b = $year."-".$month."-31";
 
//-----------del resa
if($del!=0)
{
$query = "DELETE FROM #__lbresa_resas WHERE ref = '$del'";
$db->setQuery( $query ); 
$db->query();
}
//----------------
$query = "SELECT * FROM #__lbresa_resas WHERE id_site = '$id_site' and date_debut >= '$d_a' and date_debut <= '$d_b' order by date_debut desc";
$db->setQuery( $query ); 
$bookings = $db->loadObjectList();
$n_bookings = count($db->loadObjectList());
			
			if($n_bookings > 0)
			{
			foreach($bookings as $booking)
			{
			
			echo "<a  href=\"javascript:openbooking('".$booking->id."','".$booking->ref."');\" title='".JText::_( 'Afficher le d&eacute;tail' )."'><b>".JText::_( 'REF :')."</b> ".$booking->ref." :: <u><b>".JText::_( 'Arriv&eacute;e le :' )."</b></u> ".JHTML::_('date', $booking->date_debut, '%A %d-%m-%Y')." :: <u><b>".JText::_( 'Client :')."</b></u> ".$booking->nom.", ".$booking->prenom."";
			

			
			
			echo "</a><div id='booking_$booking->id' class='detail_booking' style='display:block'></div><bR>";
			
			}
			}
			else
			{
			$nob = JHTML::_('date', $d_a, '%B %Y');
			echo JText::_( 'Pas de r&eacute;servation pour :' )."<b> $nob</b>";
			}
			






$mainframe->close();
}


function GetBookingDetails()
{
global $mainframe;
$db 	=& JFactory::getDBO();

$config =& $this->getconfig();

$id = JRequest::getVar('id');
$ref = JRequest::getVar('ref');
$print = JRequest::getVar('print');

$query = "SELECT * FROM #__lbresa_resas WHERE id= '$id' and ref = '$ref'";
$db->setQuery( $query ); 
$booking = $db->loadObject();

if($booking->nom_cb) { $cb =1; } else { $cb=""; }

$query = "SELECT * FROM #__lbresa_sites WHERE id= '$booking->id_site'";
$db->setQuery( $query ); 
$site = $db->loadObject();


$month = JHTML::_('date', $booking->date_debut, '%m');
$year = JHTML::_('date', $booking->date_debut, '%Y');

echo "<hr>";
if(!$print)
{
echo "<a href=\"javascript:closebooking('".$id."','".$ref."');\"><b>".JText::_( '*** FERMER LE DETAIL ***' )."</b></a><bR>";
}
echo "<table width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr><td colspan='2'><h3>$site->s_nom</h3></td><td>";
echo "</td><td>";
if(!$print)
{
echo "<input type='button' class='button' value='".JText::_( 'Supprimer cette r&eacute;servation (d&eacute;finitif)' )."' onclick=\"ajaxGetBookings('".$booking->id_site."','".$month."', '".$year."', '".$ref."' )\">";
}
echo "</td></tr>
<tr>
<td><b>".JText::_( 'Ref r&eacute;servation :' )."</b></td><td>$booking->ref"; 

echo "</td>
<td><b>".JText::_( 'Date r&eacute;servation :' )."</b></td><td>".JHTML::_('date', $booking->date_resa, '%A %d-%m-%Y')."</td>
</tr>
<tr>
<td><b>".JText::_( 'Nom :' )."</b></td><td>$booking->nom</td>
<td><b>".JText::_( 'Arriv&eacute;e le :' )."</b></td><td>".JHTML::_('date', $booking->date_debut, '%A %d-%m-%Y')."</td>
</tr>
<tr>
<td><b>".JText::_( 'Pr&eacute;nom :' )."</b></td><td>$booking->prenom</td>
<td><b>".JText::_( 'D&eacute;part le :' )."</b></td><td>".JHTML::_('date', $booking->date_fin, '%A %d-%m-%Y')."</td>
</tr>
<tr>
<td><b>".JText::_( 'Adresse :' )."</b></td><td>$booking->adresse</td>
<td></td><td></td>
</tr>
<tr>
<td><b>".JText::_( 'Ville :')."</b></td><td>$booking->ville</td>
<td></td><td></td>
</tr>
<tr>
<td><b>".JText::_( 'Code postal :')."</b></td><td>$booking->cp</td>
<td>"; if($cb) { echo JText::_( 'Type CB :'); } echo "</td><td>"; if($cb) { echo $booking->nom_cb; } echo "</td>
</tr>
<tr>
<td><b>".JText::_( 'Pays :')."</b></td><td>$booking->pays</td>
<td>"; if($cb) { echo JText::_( 'Num. CB :'); } echo "</td><td>"; if($cb) { echo $booking->num_cb; } echo "</td>
</tr>
<tr>
<td><b>".JText::_( 'Tel :' )."</b></td><td>$booking->tel</td>
<td>"; if($cb) { echo JText::_( 'Date expiration :'); } echo "</td><td>"; if($cb) { echo $booking->date_cb; } echo "</td>
</tr>
<tr>
<td><b>".JText::_( 'E-mail :' )."</b></td><td>$booking->mail</td>
<td>"; if($cb) { echo JText::_( 'Nom du porteur :'); } echo "</td><td>"; if($cb) { echo $booking->owner_cb; } echo "</td>
</tr>
<tr><td colspan='4'><hr></td></tr>
<tr><td colspan='4' valign='top'>";

$query = "SELECT * FROM #__lbresa_resas WHERE ref = '$ref' order by id asc";
$db->setQuery( $query ); 
$rooms = $db->loadObjectList();

$query = "SELECT SUM(pax) FROM #__lbresa_resas WHERE ref = '$ref'";
$db->setQuery( $query ); 
$pax = $db->loadResult();

$query = "SELECT SUM(enf) FROM #__lbresa_resas WHERE ref = '$ref'";
$db->setQuery( $query ); 
$enf = $db->loadResult();

$query = "SELECT SUM(sup_enf) FROM #__lbresa_resas WHERE ref = '$ref' and enf>0";
$db->setQuery( $query ); 
$total_sup_enf = $db->loadResult();

$query = "SELECT SUM(qtte) FROM #__lbresa_resas WHERE ref = '$ref'";
$db->setQuery( $query ); 
$qtte = $db->loadResult();




//RECAP
echo "<table width='100%' cellpadding='0' cellspacing='0' border='1'>
<tr>
<th align='center'><b>".JText::_( 'Nombre de chambre(s)' )."</b></th>
<th align='center'><b>".JText::_( 'Nombre personnes' )."</b></th>
<th align='center'><b>".JText::_( 'Nombre d enfant(s)' )."</b></th>
<th align='center'></th>
</tr>";
echo "
<tr>
<td align='center'><b>$qtte</B></td>
<td align='center'><b>$pax</b></td>
<td align='center'><b>$enf</b></td>
<td align='center'><b></td>
</tr>";
echo "</table>";

echo "<br>";


echo "</td>
</tR>
<tr><td colspan='2' align='center'>";
if(!$print)
{
echo "<a href='index.php?option=com_joomloc&controller=sites&view=sites&layout=print&task=GetBookingDetails&id=$id&ref=$ref&tmpl=component' target='_blank'><img src='images/print_f2.png' border='0'><br>".JText::_( 'Imprimer' )."</a>";
}
elseif($print)
{
echo "<input type='button' value='".JText::_( 'Imprimer' )."' onclick='window.print()'>";

}

echo "</td><td colspan='2' align='center'></td></tr>
</table><hr>";


$mainframe->close();
}

function Cancelresa()
{
global $mainframe;
$db 	=& JFactory::getDBO();

$id = JRequest::getVar('id');
$ref = JRequest::getVar('ref');

$query = "UPDATE #__lbresa_resas SET etat = '3' where ref = '$ref'";
$db->setQuery( $query);
$db->Query();


$mainframe->close();
}


function Validresa()
{
global $mainframe;
$db 	=& JFactory::getDBO();

$id = JRequest::getVar('id');
$ref = JRequest::getVar('ref');

$query = "UPDATE #__lbresa_resas SET etat = '2' where ref = '$ref' and nom_cb=''";
$db->setQuery( $query);
$db->Query();

$query = "UPDATE #__lbresa_resas SET etat = '0' where ref = '$ref' and nom_cb!=''";
$db->setQuery( $query);
$db->Query();

$mainframe->close();
}
  
    
  
}