<?php
/**
 * @version $Id: header.php 739 2008-11-16 22:07:19Z elkuku $
 * @package		Joomloc
 * @subpackage	
 * @author		EasyJoomla {@link http://www.easy-joomla.org Easy-Joomla.org}
 * @author		Laurent Brossard {@link http://www.laubrotel.com}
 * @author		Created on 28-May-2009
 */

// no direct access
defined( '_JEXEC' ) or die( ';)' );

/**
 * Main installer
 */
function com_install()
{
	$errors = FALSE;
	$db = & JFactory::getDBO();
	//-- common images
	$img_OK = '<img src="images/publish_g.png" />';
	$img_WARN = '<img src="images/publish_y.png" />';
	$img_ERROR = '<img src="images/publish_r.png" />';
	$BR = '<br />';

	//--install calendar...
	

	$query = "DROP TABLE IF EXISTS `#__lbresa_cal`;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to drop table cal').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}

	$query = "CREATE TABLE `#__lbresa_cal` (
  `id` int(20) NOT NULL auto_increment,
  `id_site` int(15) NOT NULL default '0',
  `id_room` int(15) NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  `jour` varchar(15) NOT NULL default '',
  `mois` varchar(15) NOT NULL default '',
  `an` int(4) NOT NULL default '0',
  `jourc` int(2) NOT NULL default '0',
  `dispo` int(4) NOT NULL default '0',
  `prix` decimal(10,2) NOT NULL default '0.00',
  `prixred` decimal(10,2) NOT NULL default '0.00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to create table cal').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
//------end add cal bdd------------------------------

//--install config table...
	

	$query = "DROP TABLE IF EXISTS `#__lbresa_config`;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to drop table config').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}

	$query = "CREATE TABLE IF NOT EXISTS `#__lbresa_config` (
  `id` int(1) NOT NULL auto_increment,
  `cal` int(1) NOT NULL default '0',
  `vhimg` int(5) NOT NULL default '0',
  `vwimg` int(5) NOT NULL default '0',
  `wimg` int(5) NOT NULL default '0',
  `max_img` int(5) NOT NULL default '0',
  `rvhimg` int(5) NOT NULL default '0',
  `rvwimg` int(5) NOT NULL default '0',
  `rwimg` int(5) NOT NULL default '0',
  `max_rimg` int(5) NOT NULL default '0',
  `monaie` varchar(10) NOT NULL default '',
  `validauto` int(1) NOT NULL default '0',
  `joomfish` int(1) NOT NULL default '0',
  `firstcountry` int(20) NOT NULL default '0',
  `add_pays` int(1) NOT NULL default '0',
  `add_region` int(1) NOT NULL default '0',
  `add_dep` int(1) NOT NULL default '0',
  `add_ville` int(1) NOT NULL default '0',
  `loc_page` int(4) NOT NULL default '0',
  `adv_cont` int(1) NOT NULL default '0',
  `adv_cont_id` int(11) NOT NULL default '0',
  `adv_pays` int(1) NOT NULL default '0',
  `adv_pays_id` int(11) NOT NULL default '0',
  `adv_region` int(1) NOT NULL default '0',
  `adv_region_id` int(11) NOT NULL default '0',
  `adv_dep` int(1) NOT NULL default '0',
  `adv_dep_id` int(11) NOT NULL default '0',
  `mail_site` tinyint(1) NOT NULL default '0',
  `aff_coor` tinyint(1) NOT NULL default '0',
  `copie_site` tinyint(1) NOT NULL default '0',
  `copie_admin` tinyint(1) NOT NULL default '0',
  `comp` decimal(10,2) NOT NULL default '0.00',
  `comf` double(10,2) NOT NULL default '0.00',
  `tva` decimal(6,2) NOT NULL default '0.00',
  `accompte` int(3) NOT NULL default '0',
  `paypal` tinyint(1) NOT NULL default '0',
  `mailpp` varchar(200) NOT NULL default '',
  `urlpp` varchar(255) NOT NULL default '',
  `url_pp_api` varchar(220) NOT NULL default '',
  `logopp` varchar(255) NOT NULL default '',
  `urlimgpp` varchar(255) NOT NULL default '',
  `testpp` int(1) NOT NULL default '0',
  `mail` varchar(200) NOT NULL default '',
  `site_url` varchar(220) NOT NULL default '',
  `rapport` int(1) NOT NULL default '0',
  `histo_rapport` int(3) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to create table config').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
	
	$query = "INSERT INTO `#__lbresa_config` (`id`, `cal`, `vhimg`, `vwimg`, `wimg`, `max_img`, `rvhimg`, `rvwimg`, `rwimg`, `max_rimg`,`monaie`, `validauto`, `firstcountry`, `add_pays`, `add_region`, `add_dep`, `add_ville`, `loc_page`, `adv_cont`, `adv_cont_id`, `adv_pays`, `adv_pays_id`, `adv_region`, `adv_region_id`, `adv_dep`, `adv_dep_id`, `mail_site`, `aff_coor`, `copie_site`, `copie_admin`, `comp`, `comf`, `tva`, `accompte`, `paypal`, `mailpp`, `urlpp`, `url_pp_api`, `logopp`, `urlimgpp`, `testpp`, `mail`, `site_url`, `rapport`, `histo_rapport`) VALUES
(1, 0, 80, 80, 350, 5, 50, 50, 350, 5, 'EUR', 0, 0, 0, 0, 0, 0, 10, 0, 1, 0, 2, 0, 56, 0, 0, 1, 1, 1, 1, 0.00, 0.00, 19.60, 0, 0, '', 'https://www.paypal.com/cgi-bin/webscr', 'www.paypal.com', '', 'https://www.paypalobjects.com/WEBSCR-580-20090604-1/en_US/FR/i/bnr/bnr_horizontal_solution_PP_298wx80h.gif', 0, '', '', 1, 12);";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to insert into table config').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
//------end add config------------------------------

//--install continents table...
	

	$query = "DROP TABLE IF EXISTS `#__lbresa_continents`;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to drop table continents').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}

	$query = "CREATE TABLE `#__lbresa_continents` (
  `id` int(11) NOT NULL auto_increment,
  `type` varchar(255) NOT NULL default '',
  `id_parent` int(11) NOT NULL default '0',
  `nom` varchar(255) NOT NULL default '',
  `pays` int(2) NOT NULL default '0',
  `region` int(2) NOT NULL default '0',
  `dep` int(2) NOT NULL default '0',
  `cp` varchar(5) NOT NULL default '',
  `ville` int(2) NOT NULL default '0',
  `cpv` varchar(5) NOT NULL default '',
  `published` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to create table continent').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
	
	$query = "INSERT INTO `#__lbresa_continents` (`id`, `type`, `id_parent`, `nom`, `pays`, `region`, `dep`, `cp`, `ville`, `cpv`, `published`) VALUES (1, 'Continent', 0, 'Continent', 0, 0, 0, '', 0, '', 1),
(2, 'Pays', 1, 'Country', 1, 0, 0, '', 0, '', 1),
(3, 'Region', 2, 'Region', 0, 1, 0, '', 0, '', 1),
(4, 'Dep', 3, 'State', 0, 0, 1, '01', 0, '', 1),
(5, 'Ville', 4, 'Town', 0, 0, 0, '', 1, '00001', 1);";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to insert into table continents').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
//------end add continents------------------------------

//--install img table...
	

	$query = "DROP TABLE IF EXISTS `#__lbresa_img`;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to drop table img').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}

	$query = "CREATE TABLE `#__lbresa_img` (
  `id` int(15) NOT NULL auto_increment,
  `id_site` int(15) NOT NULL default '0',
  `img` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to create table img').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
//------end add img table------------------------------

	//--install img options...
	

	$query = "DROP TABLE IF EXISTS `#__lbresa_infos`;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to drop table infos').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}

	$query = "CREATE TABLE `#__lbresa_infos` (
  `id` int(15) NOT NULL auto_increment,
  `id_parent` int(11) NOT NULL default '0',
  `nom_rub` varchar(255) NOT NULL default '',
  `info` varchar(255) NOT NULL default '',
  `published` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to create table infos').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
	
	
	$query = "INSERT INTO `#__lbresa_infos` (`id`, `id_parent`, `nom_rub`, `info`, `published`) VALUES (1, 0, 'Equipements', '', 0),
(2, 1, 'Coffre-fort', 'Coffre-fort', 0),
(3, 1, 'clim', 'clim', 0),
(4, 1, 'Wifi', 'Wifi', 0);";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to insert into table continents').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
//------end add options------------------------------

	//--install img options sites...
	

	$query = "DROP TABLE IF EXISTS `#__lbresa_infos_sites`;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to drop table infos_sites').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}

	$query = "CREATE TABLE `#__lbresa_infos_sites` (
  `id` int(15) NOT NULL auto_increment,
  `id_site` int(15) NOT NULL default '0',
  `id_info` int(15) NOT NULL default '0',
  `info` varchar(255) NOT NULL default '',
  `act` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to create table infos_sites').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
	
	
	
//------end add options sites------------------------------

	//--install report...
	

	$query = "DROP TABLE IF EXISTS `#__lbresa_rapports`;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to drop table rapports').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}

	$query = "CREATE TABLE IF NOT EXISTS `#__lbresa_rapports` (
  `id` int(15) NOT NULL auto_increment,
  `ref` varchar(200) NOT NULL default '',
  `date` date NOT NULL default '0000-00-00',
  `periode_d` date NOT NULL default '0000-00-00',
  `periode_f` date NOT NULL default '0000-00-00',
  `id_site` int(15) NOT NULL default '0',
  `user_id` int(15) NOT NULL default '0',
  `rapport` mediumtext NOT NULL,
  `etat` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to create table rapports').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
//------end add report------------------------------
	//--install booking table...
	

	$query = "DROP TABLE IF EXISTS `#__lbresa_resas`;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to drop table resas').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}

	$query = "CREATE TABLE `#__lbresa_resas` (
  `id` int(20) NOT NULL auto_increment,
  `sid` varchar(255) NOT NULL default '',
  `ref` varchar(200) NOT NULL default '',
  `parent` varchar(200) NOT NULL default '',
  `id_site` int(20) NOT NULL default '0',
  `owner_id` int(20) NOT NULL default '0',
  `date_resa` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_debut` date NOT NULL default '0000-00-00',
  `date_fin` date NOT NULL default '0000-00-00',
  `id_room` int(20) NOT NULL default '0',
  `nom_room` varchar(255) NOT NULL default '',
  `pax` int(3) NOT NULL default '0',
  `enf` int(2) NOT NULL default '0',
  `sup_enf` decimal(10,2) NOT NULL default '0.00',
  `nuits` int(11) NOT NULL default '0',
  `qtte` int(3) NOT NULL default '0',
  `prix` decimal(10,2) NOT NULL default '0.00',
  `total` decimal(10,2) NOT NULL default '0.00',
  `nom` varchar(255) NOT NULL default '',
  `prenom` varchar(255) NOT NULL default '',
  `adresse` varchar(255) NOT NULL default '',
  `cp` varchar(30) NOT NULL default '',
  `ville` varchar(255) NOT NULL default '',
  `pays` varchar(255) NOT NULL default '',
  `tel` varchar(35) NOT NULL default '',
  `port` varchar(35) NOT NULL default '',
  `mail` varchar(200) NOT NULL default '',
  `nom_cb` varchar(20) NOT NULL default '',
  `num_cb` varchar(30) NOT NULL default '',
  `date_cb` varchar(10) NOT NULL default '',
  `crypto` varchar(30) NOT NULL default '',
  `owner_cb` varchar(200) NOT NULL default '',
  `message` blob NOT NULL,
  `paiement` int(1) NOT NULL default '0',
  `etat` int(1) NOT NULL default '0',
  `rapport` int(20) NOT NULL default '0',
  `txn_id` varchar(220) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to create table resas').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
//------end add booking------------------------------

	//--install rooms table...
	

	$query = "DROP TABLE IF EXISTS `#__lbresa_rooms`;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to drop table rooms').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}

	$query = "CREATE TABLE `#__lbresa_rooms` (
  `id` int(15) NOT NULL auto_increment,
  `ifisnew` varchar(255) NOT NULL default '',
  `id_site` int(15) NOT NULL default '0',
  `nom_loc` varchar(255) NOT NULL default '',
  `pax` tinyint(3) NOT NULL default '0',
  `enf` tinyint(2) NOT NULL default '0',
  `sup_enf` decimal(10,2) NOT NULL default '0.00',
  `m2` decimal(10,2) NOT NULL default '0.00',
  `presentation` blob NOT NULL,
  `nb_nuits` tinyint(5) NOT NULL default '0',
  `cal` char(1) NOT NULL default '',
  `jarrivee` varchar(10) NOT NULL default '',
  `from` decimal(10,2) NOT NULL default '0.00',
  `published` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to create table rooms').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
//------end add rooms------------------------------

	//--install sites table...
	

	$query = "DROP TABLE IF EXISTS `#__lbresa_sites`;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to drop table sites').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}

	$query = "CREATE TABLE `#__lbresa_sites` (
  `id` int(15) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL default '0',
  `s_nom` varchar(255) NOT NULL default '',
  `s_contact` varchar(255) NOT NULL default '',
  `s_adresse` varchar(255) NOT NULL default '',
  `s_cp` varchar(15) NOT NULL default '',
  `s_ville` varchar(255) NOT NULL default '',
  `s_dep` varchar(255) NOT NULL default '',
  `s_region` varchar(255) NOT NULL default '',
  `s_pays` varchar(255) NOT NULL default '',
  `s_continent` int(10) NOT NULL default '0',
  `s_email` varchar(255) NOT NULL default '',
  `s_mailpp` varchar(200) NOT NULL default '',
  `s_accompte` int(3) NOT NULL default '0',
  `s_tel` varchar(20) NOT NULL default '',
  `s_port` varchar(20) NOT NULL default '',
  `s_fax` varchar(20) NOT NULL default '',
  `s_type` tinyint(5) NOT NULL default '0',
  `s_niv` varchar(255) NOT NULL default '',
  `s_nivnom` varchar(255) NOT NULL default '',
  `s_precision` varchar(255) NOT NULL default '',
  `s_etage` int(4) NOT NULL default '0',
  `s_m2` varchar(5) NOT NULL default '',
  `s_next_v1` varchar(255) NOT NULL default '',
  `s_k_v1` decimal(10,2) NOT NULL default '0.00',
  `s_next_v2` varchar(255) NOT NULL default '',
  `s_k_v2` decimal(10,2) NOT NULL default '0.00',
  `s_next_v3` varchar(255) NOT NULL default '',
  `s_k_v3` decimal(10,2) NOT NULL default '0.00',
  `s_next_v4` varchar(255) NOT NULL default '',
  `s_k_v4` decimal(10,2) NOT NULL default '0.00',
  `s_situation` tinyint(2) NOT NULL default '0',
  `mer_a` decimal(10,2) NOT NULL default '0.00',
  `mer_m` varchar(10) NOT NULL default '',
  `piste_a` decimal(10,2) NOT NULL default '0.00',
  `piste_m` varchar(10) NOT NULL default '',
  `altitude` varchar(10) NOT NULL default '',
  `altitude_m` varchar(15) NOT NULL default '',
  `intro` blob NOT NULL,
  `presentation` blob NOT NULL,
  `divers` blob NOT NULL,
  `best_price` decimal(10,2) NOT NULL default '0.00',
  `create_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `published` int(1) NOT NULL default '0',
  `ifisnew` varchar(255) NOT NULL default '',
  `commerces_a` varchar(8) NOT NULL default '',
  `commerces_m` varchar(8) NOT NULL default '',
  `centreville_a` varchar(8) NOT NULL default '',
  `centreville_m` varchar(8) NOT NULL default '',
  `master` tinyint(1) NOT NULL default '0',
  `visa` tinyint(1) NOT NULL default '0',
  `amex` tinyint(1) NOT NULL default '0',
  `jcb` tinyint(1) NOT NULL default '0',
  `diner` tinyint(1) NOT NULL default '0',
  `disco` tinyint(1) NOT NULL default '0',
  `hits` int(50) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to create table sites').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
	
	$query = "
INSERT INTO `#__lbresa_sites` (`id`, `user_id`, `s_nom`, `s_contact`, `s_adresse`, `s_cp`, `s_ville`, `s_dep`, `s_region`, `s_pays`, `s_continent`, `s_email`, `s_mailpp`, `s_accompte`, `s_tel`, `s_port`, `s_fax`, `s_type`, `s_niv`, `s_nivnom`, `s_precision`, `s_etage`, `s_m2`, `s_next_v1`, `s_k_v1`, `s_next_v2`, `s_k_v2`, `s_next_v3`, `s_k_v3`, `s_next_v4`, `s_k_v4`, `s_situation`, `mer_a`, `mer_m`, `piste_a`, `piste_m`, `altitude`, `altitude_m`, `intro`, `presentation`, `divers`, `best_price`, `create_date`, `published`, `ifisnew`, `commerces_a`, `commerces_m`, `centreville_a`, `centreville_m`, `master`, `visa`, `amex`, `jcb`, `diner`, `disco`, `hits`) VALUES (1, 0, 'Name of rental', 'contact name', 'adress', '', '66', '65', '64', '63', 1, '', '', 0, '000000000', '', '000000000', 5, '', '', '', 0, '', '', 0.00, '', 0.00, '', 0.00, '', 0.00, 0, 0.00, '', 0.00, '', '', '', 0x4c27686f74656c206465206c6120706c61676520657374206964c3a9616c656d656e742073697475c3a96520737572206c6120626169652064652063616c63692e2e2e, 0x4c2768c3b474656c206465206c6120706c6167652065737420756e20686f74656c20616772c3a961626c6520657420646520636f6e666f7274203320c3a9746f696c6573, 0x436f6e646974696f6e732064652076656e746573, 0.00, '0000-00-00 00:00:00', 1, '', '', '', '', '', 0, 0, 0, 0, 0, 0, 0);
";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to insert into table site').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
//------end add sites------------------------------

	//--install temp booking table...
	

	$query = "DROP TABLE IF EXISTS `#__lbresa_temp`;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to drop table temp').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}

	$query = "CREATE TABLE `#__lbresa_temp` (
  `id` int(20) NOT NULL auto_increment,
  `sid` varchar(255) NOT NULL default '',
  `ref` varchar(200) NOT NULL default '',
  `parent` varchar(200) NOT NULL default '',
  `id_site` int(20) NOT NULL default '0',
  `owner_id` int(20) NOT NULL default '0',
  `date_resa` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_debut` date NOT NULL default '0000-00-00',
  `date_fin` date NOT NULL default '0000-00-00',
  `id_room` int(20) NOT NULL default '0',
  `nom_room` varchar(255) NOT NULL default '',
  `pax` int(3) NOT NULL default '0',
  `enf` int(2) NOT NULL default '0',
  `sup_enf` decimal(10,2) NOT NULL default '0.00',
  `nuits` int(11) NOT NULL default '0',
  `qtte` int(3) NOT NULL default '0',
  `prix` decimal(10,2) NOT NULL default '0.00',
  `total` decimal(10,2) NOT NULL default '0.00',
  `nom` varchar(255) NOT NULL default '',
  `prenom` varchar(255) NOT NULL default '',
  `adresse` varchar(255) NOT NULL default '',
  `cp` varchar(30) NOT NULL default '',
  `ville` varchar(255) NOT NULL default '',
  `pays` varchar(255) NOT NULL default '',
  `tel` varchar(35) NOT NULL default '',
  `port` varchar(35) NOT NULL default '',
  `mail` varchar(200) NOT NULL default '',
  `nom_cb` varchar(20) NOT NULL default '',
  `num_cb` varchar(30) NOT NULL default '',
  `date_cb` varchar(10) NOT NULL default '',
  `crypto` varchar(30) NOT NULL default '',
  `owner_cb` varchar(200) NOT NULL default '',
  `message` blob NOT NULL,
  `paiement` varchar(200) NOT NULL default '',
  `etat` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to create table temp').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
//------end add temp booking------------------------------

//--install types table...
	

	$query = "DROP TABLE IF EXISTS `#__lbresa_types`;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to drop table types').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}

	$query = "CREATE TABLE `#__lbresa_types` (
  `id` int(11) NOT NULL auto_increment,
  `type` varchar(255) NOT NULL default '',
  `published` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to create table types').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
	
	$query = "INSERT INTO `#__lbresa_types` (`id`, `type`, `published`) VALUES
(1, 'Gite', 0),
(2, 'Camping', 0),
(3, 'Villa', 0),
(4, 'Appartement', 0),
(5, 'Hotel', 0),
(6, 'Residence', 0);
";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to insert into table types').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
//------end add config------------------------------

	//--install users table...
	

	$query = "DROP TABLE IF EXISTS `#__lbresa_users`;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to drop table users').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}

	$query = "CREATE TABLE `#__lbresa_users` (
  `id` int(11) NOT NULL auto_increment,
  `nom` varchar(200) NOT NULL default '',
  `prenom` varchar(200) NOT NULL default '',
  `user_id` int(11) NOT NULL default '0',
  `adresse` varchar(255) NOT NULL default '',
  `adresse2` varchar(255) NOT NULL default '',
  `cp` varchar(15) NOT NULL default '',
  `ville` varchar(255) NOT NULL default '',
  `pays` varchar(255) NOT NULL default '',
  `tel` varchar(25) NOT NULL default '',
  `fax` varchar(25) NOT NULL default '',
  `email` varchar(220) NOT NULL default '',
  `published` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to create table users').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
//------end add user booking------------------------------
//--install rooms img table...
	

	$query = "DROP TABLE IF EXISTS `#__lbresa_rooms_img`;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to drop table users').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}

	$query = "CREATE TABLE `#__lbresa_rooms_img` (
  `id` int(11) NOT NULL auto_increment,
  `id_site` int(11) NOT NULL,
  `id_room` int(11) NOT NULL,
  `img` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;";
	$db->setQuery($query);
	if( ! $db->query() )
	{
		echo $img_ERROR.JText::_('Unable to create table users').$BR;
		echo $db->getErrorMsg();
		return FALSE;
	}
//------end add user booking------------------------------
	//--------end-----------
	
	
	
	if( $errors )
	{
		return FALSE;
	}
	
	return TRUE;
}// function